Programmatically set CPlane to World

Hi there,

I am fully aware that I can set a construction plane in a viewport with this:
viewport.ActiveViewport.SetConstructionPlane(plane)

So logically I would say that if I’d wanna revert the CPlane to the world coordinate system I would have to do something like this:
viewport.ActiveViewport.SetConstructionPlane(Rhino.Geometry.Plane.WorldXY)

My question is:
As you can see on the picture below it still is treated as a CPlane, though it’s thought to be “World”.
image

Is it possbile to set the WorldPlane programmatically?

Thanks,
T.

Hi @tobias.stoltmann ,
You can switch this property in the ModelAidSettings:
Rhino.ApplicationSettings.ModelAidSettings.PointDisplay = Rhino.ApplicationSettings.PointDisplayMode.WorldPoint;

2 Likes

Thanks, @Darryl_Menezes!